# DocumentScanningResult class

Scanned document return class from document scanner rtu-ui component

Inheritance
  - Object
  - Result
  - DocumentScanningResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

DocumentScanningResult(List<Page> pages)
DocumentScanningResult.canceled()
DocumentScanningResult.error(String message)
DocumentScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
message ↔ String?
  Message with description of returned result, for example, error message
  getter/setter pair inherited
operationResult ↔ OperationResult?
  Standard result status
  getter/setter pair inherited
pages ↔ List<Page>
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited